
Python CLI - Task #2374

Feature # 2652 (Closed): Python CLI - Version 2

CLI should allow unambiguous abbreviations of commands

2012-02-23 18:07 - Andrew Pippin

Status: Closed Start date: 2012-02-23

Priority: Low Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CLI_2.0.0   

Story Points:    

Description

For some people, several of the commands are rather long (in my case, more than 2 characters).  The command line parser should

allow for abbreviations that are unabiguous.

For example, "@e@", "@ex@", "@exi@", and "@exit@" should all exit the program.

History

#1 - 2012-02-23 20:31 - Matthew Jones

- Tracker changed from Task to Feature

#2 - 2012-02-23 21:37 - Roger Dahl

There is tab expansion. Single tab to complete a command that is already unique. Double tab to see suggestions based on currently typed part of

command.

#3 - 2012-05-07 21:53 - Andrew Pippin

- Assignee deleted (Andrew Pippin)

- Parent task set to #2652

Putting this task under the Version 2 Python CLI story.

#4 - 2013-08-02 16:46 - Roger Dahl

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

#5 - 2014-10-02 17:55 - Dave Vieglais

- Target version set to Maintenance Backlog

#6 - 2015-01-13 16:21 - Dave Vieglais

- Target version changed from Maintenance Backlog to CCI-2.0.0
